Package com.omnisci.thrift.server

## Class OmniSci.checkpoint_args

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.checkpoint_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.checkpoint_args>`, `org.apache.thrift.TBase<OmniSci.checkpoint_args,​OmniSci.checkpoint_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.checkpoint_args
    extends Object
    implements org.apache.thrift.TBase<OmniSci.checkpoint_args,​OmniSci.checkpoint_args._Fields>, Serializable, Cloneable, Comparable<OmniSci.checkpoint_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.checkpoint_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `db_id`
`static Map<OmniSci.checkpoint_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `session`
`int` `table_id`

### Constructor Summary

Constructors
`checkpoint_args()`
`checkpoint_args​(OmniSci.checkpoint_args other)` Performs a deep copy on other.
`checkpoint_args​(String session, int db_id, int table_id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(OmniSci.checkpoint_args other)`
`OmniSci.checkpoint_args` `deepCopy()`
`boolean` `equals​(OmniSci.checkpoint_args that)`
`boolean` `equals​(Object that)`
`OmniSci.checkpoint_args._Fields` `fieldForId​(int fieldId)`
`int` `getDb_id()`
`Object` `getFieldValue​(OmniSci.checkpoint_args._Fields field)`
`String` `getSession()`
`int` `getTable_id()`
`int` `hashCode()`
`boolean` `isSet​(OmniSci.checkpoint_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDb_id()` Returns true if field db_id is set (has been assigned a value) and false otherwise
`boolean` `isSetSession()` Returns true if field session is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_id()` Returns true if field table_id is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`OmniSci.checkpoint_args` `setDb_id​(int db_id)`
`void` `setDb_idIsSet​(boolean value)`
`void` `setFieldValue​(OmniSci.checkpoint_args._Fields field, Object value)`
`OmniSci.checkpoint_args` `setSession​(String session)`
`void` `setSessionIsSet​(boolean value)`
`OmniSci.checkpoint_args` `setTable_id​(int table_id)`
`void` `setTable_idIsSet​(boolean value)`
`String` `toString()`
`void` `unsetDb_id()`
`void` `unsetSession()`
`void` `unsetTable_id()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### session

    public String session

#### db_id

    public int db_id

#### table_id

    public int table_id

#### metaDataMap

    public static final Map<OmniSci.checkpoint_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### checkpoint_args

    public checkpoint_args()

#### checkpoint_args

    public checkpoint_args​(String session,
                           int db_id,
                           int table_id)

#### checkpoint_args

    public checkpoint_args​(OmniSci.checkpoint_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.checkpoint_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.checkpoint_args,​OmniSci.checkpoint_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.checkpoint_args,​OmniSci.checkpoint_args._Fields>`

#### getSession

    public String getSession()

#### setSession

    public OmniSci.checkpoint_args setSession​(String session)

#### unsetSession

    public void unsetSession()

#### isSetSession

    public boolean isSetSession()

Returns true if field session is set (has been assigned a value) and false otherwise

#### setSessionIsSet

    public void setSessionIsSet​(boolean value)

#### getDb_id

    public int getDb_id()

#### setDb_id

    public OmniSci.checkpoint_args setDb_id​(int db_id)

#### unsetDb_id

    public void unsetDb_id()

#### isSetDb_id

    public boolean isSetDb_id()

Returns true if field db_id is set (has been assigned a value) and false otherwise

#### setDb_idIsSet

    public void setDb_idIsSet​(boolean value)

#### getTable_id

    public int getTable_id()

#### setTable_id

    public OmniSci.checkpoint_args setTable_id​(int table_id)

#### unsetTable_id

    public void unsetTable_id()

#### isSetTable_id

    public boolean isSetTable_id()

Returns true if field table_id is set (has been assigned a value) and false otherwise

#### setTable_idIsSet

    public void setTable_idIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.checkpoint_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.checkpoint_args,​OmniSci.checkpoint_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.checkpoint_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.checkpoint_args,​OmniSci.checkpoint_args._Fields>`

#### isSet

    public boolean isSet​(OmniSci.checkpoint_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.checkpoint_args,​OmniSci.checkpoint_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.checkpoint_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.checkpoint_args other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.checkpoint_args>`

#### fieldForId

    public OmniSci.checkpoint_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.checkpoint_args,​OmniSci.checkpoint_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`